org.apache.maven.plugin.version

## Class PluginVersionResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.version.PluginVersionResolutionException

All Implemented Interfaces:
  java.io.Serializable

    public class PluginVersionResolutionException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginVersionResolutionException(java.lang.String groupId, java.lang.String artifactId, java.lang.String baseMessage)`
`PluginVersionResolutionException(java.lang.String groupId, java.lang.String artifactId, java.lang.String baseMessage, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getArtifactId()`
`java.lang.String` `getBaseMessage()`
`java.lang.String` `getGroupId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginVersionResolutionException

    public PluginVersionResolutionException(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    java.lang.String baseMessage,
                                    java.lang.Throwable cause)

#### PluginVersionResolutionException

    public PluginVersionResolutionException(java.lang.String groupId,
                                    java.lang.String artifactId,
                                    java.lang.String baseMessage)

### Method Detail

#### getGroupId

    public java.lang.String getGroupId()

#### getArtifactId

    public java.lang.String getArtifactId()

#### getBaseMessage

    public java.lang.String getBaseMessage()